/***************************************************************
 * Name:      MaskMain.cpp
 * Purpose:   Code for Application Frame
 * Author:    Jpl ()
 * Created:   2009-04-04
 * Copyright: Jpl ()
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "MaskMain.h"
#include <wx/msgdlg.h>
//helper functions
enum wxbuildinfoformat
{
    short_f, long_f
};

wxString wxbuildinfo(wxbuildinfoformat format)
{
    wxString wxbuild(wxVERSION_STRING);

    if (format == long_f )
    {
#if defined(__WXMSW__)
        wxbuild << _T("-Windows");
#elif defined(__WXMAC__)
        wxbuild << _T("-Mac");
#elif defined(__UNIX__)
        wxbuild << _T("-Linux");
#endif

#if wxUSE_UNICODE
        wxbuild << _T("-Unicode build");
#else
        wxbuild << _T("-ANSI build");
#endif // wxUSE_UNICODE
    }

    return wxbuild;
}



MaskDialog::MaskDialog(wxDialog *dlg)
        : GUIDialog(dlg)
{
}

MaskDialog::~MaskDialog()
{
}

void MaskDialog::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void MaskDialog::OnQuit(wxCommandEvent &event)
{
    Destroy();
}

void MaskDialog::OnAbout(wxCommandEvent &event)
{
    wxString msg = wxbuildinfo(long_f);
    wxMessageBox(msg, _("Welcome to..."));
}
