/***************************************************************
 * Name:      MaskApp.cpp
 * Purpose:   Code for Application Class
 * Author:    Jpl ()
 * Created:   2009-04-04
 * Copyright: Jpl ()
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "MaskApp.h"
#include "MaskMain.h"

IMPLEMENT_APP(MaskApp);

bool MaskApp::OnInit()
{   wxGetApp().SetUILanguage(wxLANGUAGE_ENGLISH);
    MaskDialog* dlg = new MaskDialog(0L);

    dlg->Show();
    return true;
}
void MaskApp::SetUILanguage(wxLanguage language)

{
    wxLocale::AddCatalogLookupPathPrefix(wxT("locale"));
    m_Locale = new wxLocale( language );
    m_Locale->AddCatalog(GetAppName());
    if (wxLANGUAGE_FRENCH == m_Locale->GetSystemLanguage()) setlocale( LC_ALL, "French" );
    if (wxLANGUAGE_ENGLISH == m_Locale->GetSystemLanguage()) setlocale( LC_ALL, "English");


}
